import numpy as np
import pandas as pd

# 传感器的数据
# data_zt = np.array([115.2, 114.6, 114.7, 114.4, 114.5, 114.1, 114.6, 113.6, 114.6, 114.6, 114.5, 114.5, 114.6, 114.6, 114.7, 114.7, 114.6, 114.7, 114.6, 114.6])
# data_jd = np.array([109.5, 117.3, 117.3, 117.1, 117.1, 117.1, 117.1, 117.1, 117.1, 117.1, 117.1, 117.1, 117.1, 117.1, 117.1, 117, 117.1, 117.1, 117.1, 116.7])
data_file_Motor_Long = 'MotorLong.csv'
data_file_1KHz_High = '_1KHz_High.csv'
data_file_1KHz_Low = '_1KHz_Low.csv'



data_file = data_file_1KHz_Low
data = pd.read_csv(data_file)
data_zt = data['zt'].values
data_jd = data['jd'].values
# 计算均值
mean_zt = np.mean(data_zt)
mean_jd = np.mean(data_jd)

# 计算方差
variance_zt = np.var(data_zt)
variance_jd = np.var(data_jd)
variance_between = np.var(data_zt - data_jd)  # 两者之间的方差

# 计算百分比差异
percent_diff = np.abs((mean_zt - mean_jd) / ((mean_zt + mean_jd) / 2)) * 100

# 计算最大值和最小值的偏差
max_deviation = np.abs(np.max(data_zt) - np.max(data_jd))
min_deviation = np.abs(np.min(data_zt) - np.min(data_jd))

mean_zt, mean_jd, variance_zt, variance_jd, variance_between, percent_diff, max_deviation, min_deviation
print(f"mean_zt:\t{mean_zt:.2f}")
print(f"mean_jd:\t{mean_jd:.2f}")
print(f"variance_zt:\t{variance_zt:.2f}")
print(f"variance_jd:\t{variance_jd:.2f}")
print(f"variance_between:\t{variance_between:.2f}")
print(f"percent_diff:\t{percent_diff:.2f}")
print(f"max_deviation:\t{max_deviation:.2f}")
print(f"min_deviation:\t{min_deviation:.2f}")

# zt传感器均值: 114.55
# jd传感器均值: 116.71
# zt传感器方差: 0.0835
# jd传感器方差: 2.7523
# 两者之间的方差: 3.3293
# 百分比差异: 1.87%
# 最大值偏差: 2.10
# 最小值偏差: 4.10
